Name: darcs
Version: 1.0.6
Release: alt0.M24.1

Packager: Alexey Voinov <voins@altlinux.ru>

Summary: darcs - David's Advanced Revision Control System
License: GNU GPL
Group: Development/Other
URL: http://www.abridgegame.org/darcs

Source0: %url/%name-%version.tar.gz

Patch0: %name-0.9.23-alt-configure.patch
Patch1: %name-1.0.5-alt-8bitdefs.patch

BuildPreReq: darcs ghc hostinfo libcurl-devel libgmp-devel libidn-devel
BuildPreReq: libncurses-devel libreadline-devel libssl-devel libtinfo-devel 
BuildPreReq: zlib-devel perl-CGI perl-DBM

%description 
Darcs is a revision control system, along the lines of CVS or arch.
That means that it keeps track of various revisions and branches of
your project, allows for changes to propogate from one branch to
another. Darcs is intended to be an ``advanced'' revision control
system. Darcs has two particularly distinctive features which differ
from other revision control systems: 
  1) each copy of the source is a fully functional branch, and 
  2) underlying darcs is a consistent and powerful theory of patches.

%package docs
Summary: Documentation for darcs - David's Advances Revision Control System
License: GNU GPL
Group: Development/Other
Requires: %name = %version-%release

%description docs
Darcs is a revision control system, along the lines of CVS or arch.
That means that it keeps track of various revisions and branches of
your project, allows for changes to propogate from one branch to
another. Darcs is intended to be an ``advanced'' revision control
system. Darcs has two particularly distinctive features which differ
from other revision control systems: 
  1) each copy of the source is a fully functional branch, and 
  2) underlying darcs is a consistent and powerful theory of patches.

This package provides user manual in both HTML and PostScript formats

%package server
Summary: Server side components of darcs - David's Advanced Revision Control System
License: GNU GPL
Group: Development/Other
Requires: %name = %version-%release
PreReq: apache-common

%description server
Darcs is a revision control system, along the lines of CVS or arch.
That means that it keeps track of various revisions and branches of
your project, allows for changes to propogate from one branch to
another. Darcs is intended to be an ``advanced'' revision control
system. Darcs has two particularly distinctive features which differ
from other revision control systems: 
  1) each copy of the source is a fully functional branch, and 
  2) underlying darcs is a consistent and powerful theory of patches.

This package contains components neccessary to run publically accessible
darcs repository (via HTTP).

%prep
%setup -q
#%patch -p1 -b .vns
%patch1 -p1 -b .vns

%build
autoconf
%configure --with-sendmail=%_sbindir/sendmail \
           --without-docs
           
%make_build

%install
%__mkdir_p %buildroot{%_cachedir/%name,%_libdir/%name/repos,%_var/www/repos,%_var/www/cgi-bin}
%__mkdir_p %buildroot%_docdir/%name-%version/manual

%make_install DESTDIR=%buildroot installbin installserver

%__rm -rf %buildroot%_sysconfdir/bash_completion.d
#%__mv -f %buildroot%_bindir/convert-repo %buildroot%_bindir/%name-convertrepo
%__mv -f %buildroot%_libdir/cgi-bin/%name.cgi %buildroot%_var/www/cgi-bin/

%__cp {AUTHORS,COPYING} %buildroot%_docdir/%name-%version/
%__cp manual/{*.png,*.css,*.html} %buildroot%_docdir/%name-%version/manual/

%files
%attr (0755,root,root) %_bindir/%name
#%%attr (0755,root,root) %_bindir/darcs-convertrepo
%_man1dir/%name.1*

%files server
%config %_sysconfdir/%name/*
%attr (0755,root,webmaster) %_var/www/cgi-bin/%name.cgi
#%attr (0750,root,root) %_sbindir/%name-createrepo
%attr (0755,root,apache) %dir %_cachedir/%name
%attr (0755,root,root) %dir %_libdir/%name
%attr (0755,root,webmaster) %dir %_var/www/repos
%_datadir/%name/

%files docs
%_docdir/%name-%version/

%changelog
* Wed Mar 08 2006 Alexey Borovskoy <alb@altlinux.ru> 1.0.6-alt0.M24.1
- Backport to Master 2.4.
- New version: 1.0.6.
- Spec cleanup.
- Dont build docs.

* Tue Jan 17 2006 Alexey Voinov <voins@altlinux.ru> 1.0.5-alt1
- new version (1.0.5)
- 8bitdefs patch added [#8747 fixed]

* Fri Dec 30 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.0.4-alt1.1
- Rebuilt with libreadline.so.5.

* Sat Nov 26 2005 Alexey Voinov <voins@altlinux.ru> 1.0.4-alt1
- new version (1.0.4)

* Mon May 30 2005 Alexey Voinov <voins@altlinux.ru> 1.0.3-alt1
- new version (1.0.3)

* Mon Feb 07 2005 Alexey Voinov <voins@altlinux.ru> 1.0.2-alt1
- new version (1.0.2)
- configure patch removed
- buildreqs fixed
- group of /var/www/repos changed to webmaster [fix for #5766]

* Wed Dec 15 2004 Alexey Voinov <voins@altlinux.ru> 1.0.1-alt1
- new version (1.0.1)
- spec clean up
- buildreqs fixed

* Sat Nov 13 2004 Alexey Voinov <voins@altlinux.ru> 1.0.0-alt1
- new version (1.0.0)

* Thu Oct 21 2004 ALT QA Team Robot <qa-robot@altlinux.org> 0.9.23-alt1.1
- Rebuilt with libcurl.so.3.

* Sun Sep 05 2004 Alexey Voinov <voins@altlinux.ru> 0.9.23-alt1
- new version (0.9.23)
- the only patch renamed and updated
- buildreq fixed

* Thu Dec 11 2003  Alexander Bokovoy <ab@altlinux.ru> 0.9.14-alt1
- Initial build.

